> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminsandboxsessions messages

> Get chat messages for a sandbox principal (admin)

Required token scopes: `instance|update`



## OpenAPI

````yaml /swagger.json get /admin/sandbox/sessions/{principalId}/messages
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/sandbox/sessions/{principalId}/messages:
    get:
      tags:
        - admin
        - sandbox
      description: |-
        Get chat messages for a sandbox principal (admin)

        Required token scopes: `instance|update`
      parameters:
        - schema:
            type: string
          required: true
          name: principalId
          in: path
        - schema:
            type: number
            nullable: true
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: before
          in: query
        - schema:
            type: string
          required: false
          name: chatId
          in: query
      responses:
        '200':
          description: Chat messages for the principal
          content:
            application/json:
              schema:
                type: object
                properties:
                  messages:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        chatId:
                          type: string
                        role:
                          type: string
                        parts:
                          type: array
                          items:
                            nullable: true
                        createdTime:
                          type: string
                        createdBy:
                          type: string
                        metadata:
                          nullable: true
                      required:
                        - id
                        - chatId
                        - role
                        - parts
                        - createdTime
                        - createdBy
                  hasMore:
                    type: boolean
                required:
                  - messages
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/sandbox/sessions/%7BprincipalId%7D/messages?limit=SOME_NUMBER_VALUE&before=SOME_STRING_VALUE&chatId=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/sandbox/sessions/%7BprincipalId%7D/messages?limit=SOME_NUMBER_VALUE&before=SOME_STRING_VALUE&chatId=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/sandbox/sessions/%7BprincipalId%7D/messages?limit=SOME_NUMBER_VALUE&before=SOME_STRING_VALUE&chatId=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/sandbox/sessions/%7BprincipalId%7D/messages?limit=SOME_NUMBER_VALUE&before=SOME_STRING_VALUE&chatId=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````